Subject: bug#20547: emacs-24.5 problem with indent-mode

From: Petr Hracek <[email-masked]>
Date: Tue, 12 May 2015 11:50:14 +0200

On 05/11/2015 05:07 PM, Eli Zaretskii wrote:
>> Date: Mon, 11 May 2015 13:18:16 +0200
>> From: Petr Hracek <[email-masked]>
>>
>> I have discovered an issue with Python indent-mode.
>>
>> If I open a Python code and write 'def some_func:' and hit C-j
>> then emacs did not pass any indentation (e.g. 4 spaces).
> I think that function is now on RET by default.  Did you try that?
Is it right, that electric-new-line-and-maybe-indent is hooked to C-j?

Based on http://emacswiki.org/emacs/AutoIndentation

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]